Subject: Re: Updated Cygwin Package : python-2.6.5-2
From: Jason Tishler <[email-masked]>
To: jeff <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Jun 2010 07:39:12 -0400
List-Id: <cygwin.cygwin.com>

Jeff,

Please note the following:

    http://cygwin.com/acronyms/#PPIOSPE

On Tue, Jun 22, 2010 at 06:25:05PM -0700, jeff wrote:
> > o build against ncursesw (instead of ncurses)
> 
> I have a minor problem with some python code that I wrote, when running
> with your python-2.6.5 .
> When I say:
> 
> import curses.ascii
> 
> and execute the code, I get:
> 
> Traceback (most recent call last):
>   File "/cygdrive/u/j/jeff-util/scripts-2.5/jdump.py", line 29, in <module>
>     import curses.ascii
>   File "/usr/lib/python2.6/curses/__init__.py", line 15, in <module>
>     from _curses import *
> ImportError: No such file or directory
> make: *** [test_jdump] Error 1
> 
> I know the code used to work with python-2.5
> Any idea what I might have to do to make the code execute?
> The code works fine on linux, using either python-2.6 or python-3.1

Does installing libncursesw10 help?  See the following:

    http://cygwin.com/ml/cygwin/2010-06/msg00507.html

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple